{$APPTYPE CONSOLE}

program sol_gg;
var
  n: integer;
  res, d: integer;
  i, j: integer;

  procedure myassert(c: boolean);
  begin
    if (not c) then
      halt(1);
  end;

  function min(a, b: integer): integer;
  begin
    if (a < b) then
      Result := a
    else
      Result := b;
  end;

begin
  assign(input, 'input.txt');
  reset(input);
  assign(output, 'output.txt');
  rewrite(output);

  myassert(not SeekEof(input));
  read(n);
  myassert((1 <= n) and (n <= 1000));
  myassert(SeekEof(input));

  res := 0;
  for i := 1 to n do
  begin
    for j := 0 to i-1 do
      res := res + (j + 1);
    for j := i+1 to n do
    begin
      d := i + 1 - (j - i);
      if (d > 0) then
      res := res + d;
    end;
  end;

  write(res);

  close(input);
  close(output);
end.